Subject: Re: linux-next: manual merge of the rcu tree with the modules and tip trees

From: "Paul E. McKenney" <[email-masked]>
Date: Fri, 29 May 2015 05:46:48 -0700

On Fri, May 29, 2015 at 08:56:04AM +0200, Ingo Molnar wrote:
> 
> * Paul E. McKenney <[email-masked]> wrote:
> 
> > On Thu, May 28, 2015 at 05:25:07PM +1000, Stephen Rothwell wrote:
> > > Hi Paul,
> > > 
> > > Today's linux-next merge of the rcu tree got a conflict in
> > > include/linux/rcupdate.h between commits 0a04b0166929 ("rcu: Move
> > > lockless_dereference() out of rcupdate.h") from the modules tree and
> > > c1ad348b452a ("tick: Nohz: Rework next timer evaluation") from the tip
> > > tree and commits 7d0ae8086b82 ("rcu: Convert ACCESS_ONCE() to
> > > READ_ONCE() and WRITE_ONCE()") and 3382adbc1bb8 ("rcu: Eliminate a few
> > > CONFIG_RCU_NOCB_CPU_ALL #ifdefs") from the rcu tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary (no action
> > > is required).
> > 
> > Thank you, Stephen!
> > 
> > Ingo, I can send you a pull request as is or I can merge c1ad348b452a
> > with v4.1-rc3, rebase my commits on top of that, and do another cycle
> > through -next.  If I don't hear otherwise, I will be lazy and send as is,
> > so if you would prefer something different, please let me know.
> 
> I think as-is would be better, to not create extra dependencies. I can resolve 
> conflicts in -tip.

Very good!  I expect to send the pull request tomorrow (Saturday)
Pacific time.

							Thanx, Paul